Get Data Refinery

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery

Get Data Refinery for the selected RecordSet.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • parameters object
      Hide parameters attributes Show parameters attributes object
      • filter_expression string
      • filter_helper_code string
      • preview_input_data string
      • transformation_expression string
      • transformation_helper_code string
    • id string

      id of the Data Refinery

    • entity_id string
    • input_record_set_id string

      RecordSet Id for this Data Refinery

    • type string

      Type of Data Refinery (PREPROCESSING, AGGREGATION)

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "parameters": {
    "filterExpression": "",
    "filterHelperCode": "",
    "previewInputData": "",
    "transformationExpression": "record",
    "transformationHelperCode": ""
  },
  "_id": "5773f32155a1fddf760479b0",
  "entityId": "5684058f159fffbe29ff9912",
  "inputRecordSetId": "5773f2a355a1fddf760479ae",
  "type": "PREPROCESSING"
}